var cargaTransaccionesService = function($filter, $http, $q){
	return{
		functionTest: function(){
			return "something";
		},
		consultarCarga : function(mes){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/consultarCarga.action',
	            data :{"mes":mes}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
				
			});
	    	return defered.promise;
		},
		obtenerVistaPrevia : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/reporteVistaPrevia.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
				
			});
	    	return defered.promise;
		},
		obtenerJsonVistaPrevia : function(ruta){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerjsonVistaPrevia.action',
	            data :{"ruta":ruta}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
				
			});
			
	    	return defered.promise;
		},
		obtenerDetalleErroresCargaService : function(mes){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerDetalleResumenCarga.action',
	            data :{"mes":mes}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			}, function myError(response) {
				
			});
			
	    	return defered.promise;
		},
		obtenerListaErrAsocTitulosService : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerListadoErrAsocTitulos.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
				
			}, function myError(response) {
				console.log("Error al recuperar listado obtenerListaErrAsocTitulosService ");
			});
			
	    	return defered.promise;
		},		
		descargarArchivo: function(dataIn){
			var defered = $q.defer();	
				
			$http.post(contextPath + '/carga/transacciones/descargaArchivo.action', dataIn, {responseType : 'arraybuffer'})
			.success(function(data, status, headers) {
									
				headers = headers();					
				
				
		        var filename    = headers['content-disposition'].split(";")[1].split("=")[1];					
		        var contentType = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
		 
		        var linkElement = document.createElement('a');
		        try {
		            var blob = new Blob([data], { type: contentType });
		            var url = window.URL.createObjectURL(blob);
		 
		            linkElement.setAttribute('href', url);
		            linkElement.setAttribute("download", filename);
		 
		            var clickEvent = new MouseEvent("click", {
		                "view": window,
		                "bubbles": true,
		                "cancelable": false
		            });
		            linkElement.dispatchEvent(clickEvent);
		        } catch (ex) {
		            
		        }

				defered.resolve(data);
			}).error(function(err) {
				showError("Se gener\u00F3 un error al intentar exportar el archivo de excel.");
				defered.reject(err)
			});
			
	    	return defered.promise;
		},
		descargarArchivoVistaPrevia: function(dataIn2){
			
			var defered = $q.defer();		
				
			$http.post(contextPath + '/carga/transacciones/descargaArchivoVistaPrevia.action', dataIn2, {responseType : 'arraybuffer'})
			.success(function(data, status, headers) {
							
				headers = headers();					
				
		        var filename    = headers['content-disposition'].split(";")[1].split("=")[1];					
		        var contentType = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
		 
		        var linkElement = document.createElement('a');
		        try {
		            var blob = new Blob([data], { type: contentType });
		            var url = window.URL.createObjectURL(blob);
		 
		            linkElement.setAttribute('href', url);
		            linkElement.setAttribute("download", filename);
		 
		            var clickEvent = new MouseEvent("click", {
		                "view": window,
		                "bubbles": true,
		                "cancelable": false
		            });
		            linkElement.dispatchEvent(clickEvent);  
				   
		        } catch (ex) {
		            
		        }
				
				defered.resolve(data);
			}).error(function(data,err) {
				
				defered.reject(data,err);
				showError("Se gener\u00F3 un error al intentar exportar el archivo de excel.");
			});
			
	    	return defered.promise;
		},//fin descarga vista previa

		descargarArchivoErrAsocTitulosService: function(idCarga){
			var defered = $q.defer();		
				
			$http.post(contextPath + '/carga/transacciones/descargaReporteErrAsocTitulos.action?idCarga='+ idCarga,{headers: {'Content-Type': "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",'accept':"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"}})
			.success(function(data, status, headers) {
						
				headers = headers();				
				
				window.open(contextPath + '/carga/transacciones/descargaReporteErrAsocTitulos.action?idCarga='+ idCarga);
				
				defered.resolve(data);
			}).error(function(data,err) {
				
				defered.reject(data,err);
				showError("Se gener\u00F3 un error al intentar exportar el archivo de excel.");
			
			});
			
	    	return defered.promise;
		},//fin descarga archivo asociacion Titulos
		
		
		obtenerTitulosdelaCarga : function(mes){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerTitulosdelaCarga.action',
	            data :{"mes":mes}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
	    	return defered.promise;
		},
		
		obtenerResumenCarga : function(mes){
			var defered = $q.defer();

			$http.post(contextPath + '/carga/transacciones/obtenerResumenCarga.action', {"mes":mes})
			.success(function(response) {
				defered.resolve(response);
			}).error(function(err) {
                defered.reject(err);
			});
			
	    	return defered.promise;
		},
		
		obtenerResumenCargaIdTrans : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerResumenCargaIdTrans.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
	    	return defered.promise;
		},		
		
		obtenerSinIdBroadView : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerSinIdBroadView.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);				
			});
	    	return defered.promise;
		},
		
		obtenerIdBroadViewNoExiste : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerIdBroadViewNoExiste.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
	    	return defered.promise;
		},
		
		obtenerTituloyFilialNoExiste : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerTituloyFilialNoExiste.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
	    	return defered.promise;
		},
		
		obtenerTituloFueradePeriodo : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/obtenerTituloFueradePeriodo.action',
	            data :{"idCarga":idCarga}
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
			
	    	return defered.promise;
		},
		
		actualizaIdBv : function(idBv,id_carga_titulo,nombreEstandar){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/actualizarIdBv.action',
	            data :{"idBv":idBv, "id_carga_titulo":id_carga_titulo, "nombreEstandar":nombreEstandar}
	
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
			
	    	return defered.promise;
		},
		validaCargaService : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/validaCarga.action',
	            data :{"idCarga":idCarga}
	
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});
			
	    	return defered.promise;
		},
		reCalculoPago : function(idCarga){
			var defered = $q.defer();
		
			$http({
				method : "POST",
	            url : contextPath + '/carga/transacciones/reCalculoPago.action?idCarga='+idCarga
			}).then(function mySucces(response) {
				defered.resolve(response.data);
			});

	    	return defered.promise;
		}

		
	};
};

registraService("cargaTransaccionesService", cargaTransaccionesService);